// Name	::	Event_setInvincible
// ================
// Made by	::	Dglider
// Date	::	03/25/14
// Info	::	Checks if a player is invincible before damaging them.
// ================
package InvincibilityCheck
{
	function Armor::Damage(%a, %player, %c, %d, %e, %f, %g, %h, %i)
	{
		if(!%player.invincible)
		{
			Parent::Damage(%a, %player, %c, %d, %e, %f, %g, %h, %i);
		}
		else
		{
			return %player;
		}
	}
};
activatepackage(InvincibilityCheck);

function Player::setInvincible(%player, %bool, %client)
{
	if(isObject(%player))
	{
		%player.invincible = %bool;
	}
}
exec("./Support_AdminEvents.cs");

registerOutputEvent(Player, setInvincible, "bool 0", 1);
registerAdminOnlyOutputEvent(Player, setInvincible, 1);